-- diplomacy-actions
-- Author: JNR
--------------------------------------------------------------

/* -- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,											Kind)
VALUES	('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'KIND_DIPLOMACY_ACTION'),
		('DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED',	'KIND_DIPLOMACY_ACTION_STAGE'),
		('DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	'KIND_DIPLOMACY_ACTION_STAGE');
--------------------------------------------------------------

-- DiplomacyActions
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomacyActions
		(DiplomacyActionType,
		Name,
		Description,
		RequestString,
		UIIconPath,
		RequiresUnlock,
		AllyOnly,
		BaseDuration,
		BaseTokenCost,
		IsMutualSupport,
		RejectionRefundsInfluence,
		Symmetrical,
		SupportFavors,
		TargetFavors,
		TargetFavorsFreq)
VALUES	(
		'DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',					-- DiplomacyActionType,
		'LOC_DIPLOMACY_PROJECT_JNR_EXHIBITION_EXCHANGE_NAME',		-- Name,
		'LOC_DIPLOMACY_PROJECT_JNR_EXHIBITION_EXCHANGE_NO_DATA',	-- Description,
		'LOC_DIPLOMACY_PROJECT_JNR_EXHIBITION_EXCHANGE_REQUEST',	-- RequestString,
		'blp:dipaction_sendaid',									-- UIIconPath,
		1,		-- RequiresUnlock,
		1,		-- AllyOnly,
		10,		-- BaseDuration,
		1,		-- BaseTokenCost,
		1,		-- IsMutualSupport,
		1,		-- RejectionRefundsInfluence,
		1,		-- Symmetrical,
		1500,	-- SupportFavors,
		1000,	-- TargetFavors,
		3		-- TargetFavorsFreq)
		);
--------------------------------------------------------------

-- DiplomaticActionValidTokens
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActionValidTokens
		(TokenType,					DiplomacyActionType)
VALUES	('DIPLOMACY_TOKEN_GLOBAL',	'DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE');
--------------------------------------------------------------

-- DiplomaticActionStages
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActionStages
		(DiplomacyActionType,							StageType,										ProgressRequirement)
VALUES	('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED',	0),
		('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	10);
--------------------------------------------------------------

-- EnterStageModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO EnterStageModifiers
		(StageType,										ModifierId)
VALUES	('DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED',	'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED'),
		('DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE_TARGET');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType)
VALUES	('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED',					'PLAYER_DIPLOMACY_GRANT_POLICY_SLOT_STARTED_TYPE'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',					'ARCHAEOLOGY_1A_NARRATIVE_MODIFIER_TYPE'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE_TARGET',			'PLAYER_DIPLOMACY_GRANT_POLICY_SLOT_COMPLETE_TARGET_TYPE'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_TARGET_ACCEPT_INFLUENCE',	'PLAYER_DIPLOMACY_GRANT_POLICY_SLOT_TARGET_ACCEPT_GOLD_TYPE');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,						Value)
VALUES	('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED',					'TargetPlayerSupport',		'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_TARGET_ACCEPT_INFLUENCE'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',					'ObjectType',				'GREATWORKOBJECT_ARTIFACT'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',					'Amount',					1),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE_TARGET',			'TargetPlayerSupport',		'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE_TARGET',			'SupportEffectIsRemovable',	0),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_TARGET_ACCEPT_INFLUENCE',	'YieldType',				'YIELD_DIPLOMACY'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_TARGET_ACCEPT_INFLUENCE',	'Amount',					12),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_TARGET_ACCEPT_INFLUENCE',	'Tooltip',					'LOC_PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_TARGET_PLAYER_ACCEPT');
--------------------------------------------------------------

-- ModifierStrings
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierStrings
		(ModifierId,															Context,	Text)
VALUES	('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_STARTED',					'Name',		'LOC_DIPLOMACY_PROJECT_JNR_EXHIBITION_EXCHANGE_NAME');
--------------------------------------------------------------

-- DiplomaticProjects_UI_Data
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticProjects_UI_Data
		(
		DiplomacyActionType,
		Description,
		ActiveDescription,
		DiplomacyActionGroup,
		PlayerOperationType,
		Target1Type,
		Target2Type,
		UIOnly_GivesYieldType,
		UIOnly_BaseAmount,
		MaxNumEnvoys,
		MinNumVirtEnvoys,
		MaxNumVirtEnvoys,
		MaxNumSupportEnvoys,
		MaxNumOpposeEnvoys
		)
VALUES	(
		'DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',					-- DiplomacyActionType,
		'LOC_DIPLOMACY_PROJECT_JNR_EXHIBITION_EXCHANGE_INITIAL',	-- Description,
		'LOC_DIPLOMACY_PROJECT_JNR_EXHIBITION_EXCHANGE_ACTIVE',		-- ActiveDescription,
		'DIPLOMACY_ACTION_GROUP_ENDEAVOR',							-- DiplomacyActionGroup,
		'COOPERATIVE_YIELDS_DIPLOMATIC_ACTION',						-- PlayerOperationType,
		'DIPLOMACY_TARGET_PLAYER',	-- Target1Type,
		'DIPLOMACY_TARGET_NONE',	-- Target2Type,
		'YIELD_DIPLOMACY',			-- UIOnly_GivesYieldType
		12,	-- UIOnly_BaseAmount
		1,	-- MaxNumEnvoys,
		1,	-- MinNumVirtEnvoys,
		2,	-- MaxNumVirtEnvoys,
		0,	-- MaxNumSupportEnvoys,
		0	-- MaxNumOpposeEnvoys
		);
--------------------------------------------------------------

-- DiplomacyBonusEnvoyData
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomacyBonusEnvoyData
		(DiplomacyActionType,							InitialUnfriendly,	InitialFriendly,	TargetUnfriendly,	TargetFriendly)
VALUES	('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	0,					0,					0,					0);
--------------------------------------------------------------

-- DiplomaticActionResponseModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActionResponseModifiers
		(DiplomacyActionType,							DiplomaticResponseType,			ModifierId,											ModifierType,						ModifierTarget)
VALUES	('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_RESPONSE_REJECT',	'PLAYER_DIPLOMACY_BLOCK_ENDEAVORS_10',				'DIPLOMACY_MODIFIER_TYPE_ACTION',	'DIPLOMACY_MODIFIER_TARGET_BOTH'),
		('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_RESPONSE_REJECT',	'PLAYER_DIPLOMACY_GRIEVANCES_FOR_ACTION_REJECTION',	'DIPLOMACY_MODIFIER_TYPE_ACTION',	'DIPLOMACY_MODIFIER_TARGET_INITIAL');
--------------------------------------------------------------

-- DiplomaticActionInfluenceCosts
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActionInfluenceCosts
		(DiplomacyActionType,							InfCostFriendly,	InfCostHelpful)
VALUES	('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	480,				420);
--------------------------------------------------------------

-- DiplomaticActionResponses
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActionResponses
		(DiplomacyActionType,							DiplomaticResponseType,			InfCost,	Name,								Description)
VALUES	('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_RESPONSE_ACCEPT',	0,			'LOC_DIPLOMACY_RESPONSE_ACCEPT',	'LOC_DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE_ACCEPT'),
		('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_RESPONSE_SUPPORT',	360,		'LOC_DIPLOMACY_RESPONSE_SUPPORT',	'LOC_DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE_SUPPORT'),
		('DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',	'DIPLOMACY_RESPONSE_REJECT',	120,		'LOC_DIPLOMACY_RESPONSE_REJECT',	'LOC_DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE_REJECT');
-------------------------------------------------------------- */

--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,														Kind)
VALUES	('DIPLOMACY_JNR_CULTURAL_EXCHANGE_DEMOCRACY_ARTIFACT',		'KIND_DIPLOMACY_ACTION_STAGE'),
		('DIPLOMACY_JNR_LOCAL_FESTIVALS_DEMOCRACY_ARTIFACT',		'KIND_DIPLOMACY_ACTION_STAGE'),
		('DIPLOMACY_JNR_MINOR_TRADE_DEMOCRACY_ARTIFACT',			'KIND_DIPLOMACY_ACTION_STAGE'),
		('DIPLOMACY_JNR_FARMERS_MARKET_DEMOCRACY_ARTIFACT',			'KIND_DIPLOMACY_ACTION_STAGE'),
		('DIPLOMACY_JNR_MILITARY_AID_DEMOCRACY_ARTIFACT',			'KIND_DIPLOMACY_ACTION_STAGE'),
		('DIPLOMACY_JNR_RESEARCH_COLLABORATION_DEMOCRACY_ARTIFACT',	'KIND_DIPLOMACY_ACTION_STAGE');
--------------------------------------------------------------

-- DiplomaticActionStages
--------------------------------------------------------------
INSERT OR IGNORE INTO DiplomaticActionStages
		(DiplomacyActionType,						StageType,													ProgressRequirement)
VALUES	('DIPLOMACY_ACTION_CULTURAL_EXCHANGE',		'DIPLOMACY_JNR_CULTURAL_EXCHANGE_DEMOCRACY_ARTIFACT',		15),
		('DIPLOMACY_ACTION_LOCAL_FESTIVALS',		'DIPLOMACY_JNR_LOCAL_FESTIVALS_DEMOCRACY_ARTIFACT',			15),
		('DIPLOMACY_ACTION_MINOR_TRADE',			'DIPLOMACY_JNR_MINOR_TRADE_DEMOCRACY_ARTIFACT',				15),
		('DIPLOMACY_ACTION_FARMERS_MARKET',			'DIPLOMACY_JNR_FARMERS_MARKET_DEMOCRACY_ARTIFACT',			15),
		('DIPLOMACY_ACTION_MILITARY_AID',			'DIPLOMACY_JNR_MILITARY_AID_DEMOCRACY_ARTIFACT',			15),
		('DIPLOMACY_ACTION_RESEARCH_COLLABORATION',	'DIPLOMACY_JNR_RESEARCH_COLLABORATION_DEMOCRACY_ARTIFACT',	15);
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,									RequirementType)
VALUES	('REQ_JNR_PLAYER_HAS_PROGRESSIVISM_MASTERY',	'REQUIREMENT_PLAYER_HAS_COMPLETED_PROGRESSION_TREE_NODE');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,									Name,						Value)
VALUES	('REQ_JNR_PLAYER_HAS_PROGRESSIVISM_MASTERY',	'ProgressionTreeNodeType',	'NODE_CIVIC_MO_BRANCH_PROGRESSIVISM'),
		('REQ_JNR_PLAYER_HAS_PROGRESSIVISM_MASTERY',	'MinDepth',					2);
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,						RequirementSetType)
VALUES	('DEMOCRACY_ENDEAVOR_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ALL');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,						RequirementId)
VALUES	('DEMOCRACY_ENDEAVOR_REQUIREMENTS_JNR',	'REQ_JNR_PLAYER_HAS_PROGRESSIVISM_MASTERY');
--------------------------------------------------------------	

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,											ModifierType,			SubjectRequirementSetId)
VALUES	('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	'MOD_MO_ARTIFACT_TYPE',	'DEMOCRACY_ENDEAVOR_REQUIREMENTS_JNR');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,											Name,			Value)
VALUES	('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	'ObjectType',	'GREATWORKOBJECT_ARTIFACT'),
		('PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE',	'Amount',		1);
--------------------------------------------------------------

-- EnterStageModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO EnterStageModifiers
		(StageType,													ModifierId)
VALUES	('DIPLOMACY_JNR_CULTURAL_EXCHANGE_DEMOCRACY_ARTIFACT',		'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('DIPLOMACY_JNR_LOCAL_FESTIVALS_DEMOCRACY_ARTIFACT',		'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('DIPLOMACY_JNR_MINOR_TRADE_DEMOCRACY_ARTIFACT',			'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('DIPLOMACY_JNR_FARMERS_MARKET_DEMOCRACY_ARTIFACT',			'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('DIPLOMACY_JNR_MILITARY_AID_DEMOCRACY_ARTIFACT',			'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE'),
		('DIPLOMACY_JNR_RESEARCH_COLLABORATION_DEMOCRACY_ARTIFACT',	'PLAYER_DIPLOMACY_JNR_EXHIBITION_EXCHANGE_COMPLETE');
--------------------------------------------------------------





