-- progression-trees-culture-common
-- Author: JNR
--------------------------------------------------------------

-- ProgressionTreeNodeUnlocks
--------------------------------------------------------------
INSERT OR IGNORE INTO ProgressionTreeNodeUnlocks
		(ProgressionTreeNodeType,					TargetKind,					TargetType,											UnlockDepth)
VALUES	('NODE_CIVIC_MO_BRANCH_PROGRESSIVISM',		'KIND_MODIFIER',			'MOD_JNR_DEMOCRACY_ARTIFACT_EMPTY',					2),
		('NODE_CIVIC_MO_BRANCH_PROGRESSIVISM',		'KIND_MODIFIER',			'MOD_JNR_DEMOCRACY_ARTIFACT_SLOT_URBAN_CENTER',		2),
		('NODE_CIVIC_MO_BRANCH_PROGRESSIVISM',		'KIND_TRADITION',			'TRADITION_JNR_CRITICAL_THEORY',					2),
				
		('NODE_CIVIC_MO_BRANCH_SOCIALISM',			'KIND_MODIFIER',			'MOD_JNR_COMMUNISM_ARTIFACT_EMPTY',					2),
		('NODE_CIVIC_MO_BRANCH_SOCIALISM',			'KIND_MODIFIER',			'MOD_JNR_COMMUNISM_ARTIFACT_SLOT_CITY_PARK',		2),
		('NODE_CIVIC_MO_BRANCH_SOCIALISM',			'KIND_TRADITION',			'TRADITION_JNR_AGITPROP',							2),
				
		('NODE_CIVIC_MO_BRANCH_AUTHORITARIANISM',	'KIND_MODIFIER',			'MOD_JNR_FASCISM_ARTIFACT_FROM_WONDER_CONQUEST',	2),
		('NODE_CIVIC_MO_BRANCH_AUTHORITARIANISM',	'KIND_MODIFIER',			'MOD_JNR_FASCISM_ARTIFACT_SLOT_RAIL_STATION',		2),
		('NODE_CIVIC_MO_BRANCH_AUTHORITARIANISM',	'KIND_TRADITION',			'TRADITION_JNR_PRIMORDIALISM',						2);		

--		('NODE_CIVIC_MO_MAIN_GLOBALISM',			'KIND_DIPLOMATIC_ACTION',	'DIPLOMACY_ACTION_JNR_EXHIBITION_EXCHANGE',			1),

--		('NODE_CIVIC_MO_BRANCH_PROGRESSIVISM',		'KIND_MODIFIER',			'MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				2),
--		('NODE_CIVIC_MO_BRANCH_PROGRESSIVISM',		'KIND_MODIFIER',			'MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',					2),
	
-- UPDATE ProgressionTreeNodeUnlocks SET Hidden=1 WHERE ProgressionTreeNodeType='NODE_CIVIC_MO_BRANCH_PROGRESSIVISM' AND TargetType='MOD_JNR_DEMOCRACY_BOOST_HEGEMONY';
--------------------------------------------------------------

-- Tags
--------------------------------------------------------------
INSERT OR IGNORE INTO Tags
		(Tag,							Category)
SELECT	SUBSTR(ConstructibleType,13),	'CONSTRUCTIBLE_TAG'
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- TypeTags
--------------------------------------------------------------
INSERT OR IGNORE INTO TypeTags
		(Tag,							Type)
SELECT	SUBSTR(ConstructibleType,13),	ConstructibleType
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,								RequirementType)
VALUES	('REQ_JNR_PLAYER_HAS_SOCIALISM_MASTERY',	'REQUIREMENT_PLAYER_HAS_COMPLETED_PROGRESSION_TREE_NODE'),
		('REQ_JNR_FIRST_TIME_OCCUPATION',			'REQUIREMENT_PLAYER_FIRST_TIME_SETTLEMENT_OCCUPATION'),
		('REQ_JNR_CITY_HAS_WONDER',					'REQUIREMENT_CITY_HAS_ANY_WONDER'),
		('REQ_JNR_URBAN_CENTER',					'REQUIREMENT_CITY_HAS_PROJECT'),
		('REQ_JNR_HUB_TOWN',						'REQUIREMENT_CITY_HAS_PROJECT');
		
INSERT OR IGNORE INTO Requirements
		(RequirementId,										RequirementType)
SELECT	'REQ_JNR_BUILT_' || SUBSTR(ConstructibleType,13),	'REQUIREMENT_CITY_BUILT_TAGGED_CONSTRUCTIBLE'
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,								Name,						Value)
VALUES	('REQ_JNR_PLAYER_HAS_SOCIALISM_MASTERY',	'ProgressionTreeNodeType',	'NODE_CIVIC_MO_BRANCH_SOCIALISM'),
		('REQ_JNR_PLAYER_HAS_SOCIALISM_MASTERY',	'MinDepth',					2),
		('REQ_JNR_URBAN_CENTER',					'ProjectType',				'PROJECT_TOWN_URBAN_CENTER'),
		('REQ_JNR_HUB_TOWN',						'ProjectType',				'PROJECT_TOWN_INN');

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,										Name,	Value)	
SELECT	'REQ_JNR_BUILT_' || SUBSTR(ConstructibleType,13),	'Tags',	SUBSTR(ConstructibleType,13)
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,									RequirementSetType)
VALUES	('FASCISM_WONDER_CONQUEST_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ALL'),
		('DEMOCRACY_TOWN_FOCUS_SLOTS_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY');
		
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,															RequirementSetType)
SELECT	'COMMUNISM_BUILT_' || SUBSTR(ConstructibleType,13) || '_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ALL'
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,									RequirementId)
VALUES	('FASCISM_WONDER_CONQUEST_REQUIREMENTS_JNR',		'REQ_JNR_FIRST_TIME_OCCUPATION'),
		('FASCISM_WONDER_CONQUEST_REQUIREMENTS_JNR',		'REQ_JNR_CITY_HAS_WONDER'),
		('DEMOCRACY_TOWN_FOCUS_SLOTS_REQUIREMENTS_JNR',		'REQ_JNR_URBAN_CENTER'),
		('DEMOCRACY_TOWN_FOCUS_SLOTS_REQUIREMENTS_JNR',		'REQ_JNR_HUB_TOWN');
		
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,															RequirementId)
SELECT	'COMMUNISM_BUILT_' || SUBSTR(ConstructibleType,13) || '_REQUIREMENTS_JNR',	'REQ_JNR_BUILT_' || SUBSTR(ConstructibleType,13)
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,															RequirementId)
SELECT	'COMMUNISM_BUILT_' || SUBSTR(ConstructibleType,13) || '_REQUIREMENTS_JNR',	'REQ_JNR_PLAYER_HAS_SOCIALISM_MASTERY'
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------	

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,											Kind)
VALUES	('MODIFIER_JNR_PLAYER_CITIES_GRANT_GREAT_WORK',	'KIND_MODIFIER'),
		('MODIFIER_JNR_SINGLE_PLAYER_ATTACH_MODIFIERS',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,									CollectionType,				EffectType)
VALUES	('MODIFIER_JNR_PLAYER_CITIES_GRANT_GREAT_WORK',	'COLLECTION_PLAYER_CITIES',	'EFFECT_CITY_GRANT_GREAT_WORK'),
		('MODIFIER_JNR_SINGLE_PLAYER_ATTACH_MODIFIERS',	'COLLECTION_OWNER_PLAYER',	'EFFECT_ATTACH_MODIFIERS');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,										ModifierType,										SubjectRequirementSetId,						Permanent,	RunOnce)
VALUES	('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'MODIFIER_PLAYER_GRANT_PROGRESSION',				NULL,											1,			1),
		('MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',				'MODIFIER_PLAYER_GRANT_PROGRESSION',				NULL,											1,			1),
		('MOD_JNR_DEMOCRACY_ARTIFACT_EMPTY',				'PLAYER_DIPLOMACY_CS_BOLSTER_MILITARY_DO_NOTHING',	NULL,											0,			0),			
		('MOD_JNR_COMMUNISM_ARTIFACT_EMPTY',				'PLAYER_DIPLOMACY_CS_BOLSTER_MILITARY_DO_NOTHING',	NULL,											0,			0),
		('MOD_JNR_FASCISM_ARTIFACT_FROM_WONDER_CONQUEST',	'MODIFIER_JNR_PLAYER_CITIES_GRANT_GREAT_WORK',		'FASCISM_WONDER_CONQUEST_REQUIREMENTS_JNR',		1,			0),
		
		('MOD_JNR_DEMOCRACY_ARTIFACT_SLOT_URBAN_CENTER',	'CATHERINE_MOD_GREAT_WORK_SLOTS_TYPE',				'DEMOCRACY_TOWN_FOCUS_SLOTS_REQUIREMENTS_JNR',	0,			0),
		('MOD_JNR_COMMUNISM_ARTIFACT_SLOT_CITY_PARK',		'CATHERINE_MOD_GREAT_WORK_SLOTS_TYPE',				NULL,											0,			0),
		('MOD_JNR_FASCISM_ARTIFACT_SLOT_RAIL_STATION',		'CATHERINE_MOD_GREAT_WORK_SLOTS_TYPE',				NULL,											0,			0);
		
INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType,									SubjectStackLimit,	OwnerRequirementSetId)		
SELECT	'MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13),			'MODIFIER_JNR_SINGLE_PLAYER_ATTACH_MODIFIERS',	1,					'COMMUNISM_BUILT_' || SUBSTR(ConstructibleType,13) || '_REQUIREMENTS_JNR'
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;

INSERT OR IGNORE INTO Modifiers
		(ModifierId,															ModifierType,			OwnerStackLimit)		
SELECT	'ATTACH_MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13),	'MOD_MO_ARTIFACT_TYPE',	1
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,					Value)
VALUES	('MOD_JNR_FASCISM_ARTIFACT_FROM_WONDER_CONQUEST',	'ObjectType',			'GREATWORKOBJECT_ARTIFACT'),
		('MOD_JNR_FASCISM_ARTIFACT_FROM_WONDER_CONQUEST',	'Amount',				1),
		
		('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'Amount',				1),
		('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'BoostPercentage',		50),
		('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'SystemType',			'SYSTEM_CULTURE'),
		('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'FreeProgressionType',	'FREE_PROGRESSION_BOOST_SPECIFIC'),
		('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'NodeType',				'NODE_CIVIC_MO_MAIN_GLOBALISM'),
			
		('MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',				'Amount',				1),
		('MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',				'BoostPercentage',		50),
		('MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',				'SystemType',			'SYSTEM_CULTURE'),
		('MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',				'FreeProgressionType',	'FREE_PROGRESSION_BOOST_SPECIFIC'),
		('MOD_JNR_DEMOCRACY_BOOST_HEGEMONY',				'NodeType',				'NODE_CIVIC_MO_MAIN_HEGEMONY'),
		
		('MOD_JNR_DEMOCRACY_ARTIFACT_SLOT_URBAN_CENTER',	'ConstructibleType',	'BUILDING_CITY_HALL'),
		('MOD_JNR_DEMOCRACY_ARTIFACT_SLOT_URBAN_CENTER',	'Amount',				1),
		
		('MOD_JNR_COMMUNISM_ARTIFACT_SLOT_CITY_PARK',		'ConstructibleType',	'BUILDING_CITY_PARK'),
		('MOD_JNR_COMMUNISM_ARTIFACT_SLOT_CITY_PARK',		'Amount',				1),
		
		('MOD_JNR_FASCISM_ARTIFACT_SLOT_RAIL_STATION',		'ConstructibleType',	'BUILDING_RAIL_STATION'),
		('MOD_JNR_FASCISM_ARTIFACT_SLOT_RAIL_STATION',		'Amount',				1);
		
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)	
SELECT	'MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13),			'ModifierId',	'ATTACH_MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13)
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)	
SELECT	'ATTACH_MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13),	'ObjectType',	'GREATWORKOBJECT_ARTIFACT'
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,															Name,			Value)	
SELECT	'ATTACH_MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13),	'Amount',		1
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------

-- ModifierStrings
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierStrings
		(ModifierId,										Context,		Text)
VALUES	('MOD_JNR_DEMOCRACY_BOOST_GLOBALISM',				'Description',	'LOC_MOD_JNR_DEMOCRACY_BOOST_GLOBALISM_DESCRIPTION'),
		('MOD_JNR_DEMOCRACY_ARTIFACT_EMPTY',				'Description',	'LOC_MOD_JNR_DEMOCRACY_ARTIFACT_EMPTY_DESCRIPTION'),
		('MOD_JNR_COMMUNISM_ARTIFACT_EMPTY',				'Description',	'LOC_MOD_JNR_COMMUNISM_ARTIFACT_EMPTY_DESCRIPTION'),
		('MOD_JNR_FASCISM_ARTIFACT_FROM_WONDER_CONQUEST',	'Description',	'LOC_MOD_JNR_FASCISM_ARTIFACT_FROM_WONDER_CONQUEST_DESCRIPTION'),
		
		('MOD_JNR_DEMOCRACY_ARTIFACT_SLOT_URBAN_CENTER',	'Description',	'LOC_MOD_JNR_DEMOCRACY_ARTIFACT_SLOT_URBAN_CENTER_DESCRIPTION'),
		('MOD_JNR_COMMUNISM_ARTIFACT_SLOT_CITY_PARK',		'Description',	'LOC_MOD_JNR_COMMUNISM_ARTIFACT_SLOT_CITY_PARK_DESCRIPTION'),
		('MOD_JNR_FASCISM_ARTIFACT_SLOT_RAIL_STATION',		'Description',	'LOC_MOD_JNR_FASCISM_ARTIFACT_SLOT_RAIL_STATION_DESCRIPTION');
--------------------------------------------------------------

-- ConstructibleModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO ConstructibleModifiers
		(ConstructibleType,		ModifierId)
SELECT	'BUILDING_PALACE',		'MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13)
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;

INSERT OR IGNORE INTO ConstructibleModifiers
		(ConstructibleType,		ModifierId)
SELECT	'BUILDING_CITY_HALL',	'MOD_JNR_COMMUNISM_ARIFACT_' || SUBSTR(ConstructibleType,13)
FROM	Improvements
WHERE	ConstructibleType IN (SELECT ConstructibleType FROM Constructibles WHERE Age='AGE_MODERN') AND TraitType IS NOT NULL;
--------------------------------------------------------------