-- traditions
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,								Kind)
VALUES	('TRADITION_JNR_CRITICAL_THEORY',	'KIND_TRADITION'),
		('TRADITION_JNR_AGITPROP',			'KIND_TRADITION'),
		('TRADITION_JNR_PRIMORDIALISM',		'KIND_TRADITION');
--------------------------------------------------------------

-- Traditions
--------------------------------------------------------------
INSERT OR IGNORE INTO Traditions
		(TraditionType,						Name,										Description)
VALUES	('TRADITION_JNR_CRITICAL_THEORY',	'LOC_TRADITION_JNR_CRITICAL_THEORY_NAME',	'LOC_TRADITION_JNR_CRITICAL_THEORY_DESCRIPTION'),
		('TRADITION_JNR_AGITPROP',			'LOC_TRADITION_JNR_AGITPROP_NAME',			'LOC_TRADITION_JNR_AGITPROP_DESCRIPTION'),
		('TRADITION_JNR_PRIMORDIALISM',		'LOC_TRADITION_JNR_PRIMORDIALISM_NAME',		'LOC_TRADITION_JNR_PRIMORDIALISM_DESCRIPTION');
		
UPDATE Traditions SET Description='LOC_TRADITION_AVANT_GARDE_DESCRIPTION_JNR_IDEOLOGICAL_ARTIFACTS' WHERE TraditionType='TRADITION_AVANT_GARDE';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,											ModifierType,									Permanent)
VALUES	('CRITICAL_THEORY_MOD_JNR_INFLUENCE_PER_GREAT_WORK',	'AVANT_GARDE_MOD_CULTURE_PER_GREAT_WORK_TYPE',	1),
		('AGITPROP_MOD_JNR_PRODUCTION_PER_GREAT_WORK',			'AVANT_GARDE_MOD_CULTURE_PER_GREAT_WORK_TYPE',	1),
		('PRIMORDIALISM_MOD_JNR_HAPPINESS_PER_GREAT_WORK',		'AVANT_GARDE_MOD_CULTURE_PER_GREAT_WORK_TYPE',	1),

		('AVANT_GARDE_MOD_JNR_SCIENCE_PER_GREAT_WORK',			'AVANT_GARDE_MOD_CULTURE_PER_GREAT_WORK_TYPE',	1),
		('AVANT_GARDE_MOD_JNR_GOLD_PER_GREAT_WORK',				'AVANT_GARDE_MOD_CULTURE_PER_GREAT_WORK_TYPE',	1);
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,									Name,			Value)
VALUES	('CRITICAL_THEORY_MOD_JNR_INFLUENCE_PER_GREAT_WORK',	'YieldType',	'YIELD_DIPLOMACY'),
		('CRITICAL_THEORY_MOD_JNR_INFLUENCE_PER_GREAT_WORK',	'Amount',		2),
		('AGITPROP_MOD_JNR_PRODUCTION_PER_GREAT_WORK',			'YieldType',	'YIELD_PRODUCTION'),
		('AGITPROP_MOD_JNR_PRODUCTION_PER_GREAT_WORK',			'Amount',		4),
		('PRIMORDIALISM_MOD_JNR_HAPPINESS_PER_GREAT_WORK',		'YieldType',	'YIELD_HAPPINESS'),
		('PRIMORDIALISM_MOD_JNR_HAPPINESS_PER_GREAT_WORK',		'Amount',		4),
		
		('AVANT_GARDE_MOD_JNR_SCIENCE_PER_GREAT_WORK',			'YieldType',	'YIELD_SCIENCE'),
		('AVANT_GARDE_MOD_JNR_SCIENCE_PER_GREAT_WORK',			'Amount',		2),
		('AVANT_GARDE_MOD_JNR_GOLD_PER_GREAT_WORK',				'YieldType',	'YIELD_GOLD'),
		('AVANT_GARDE_MOD_JNR_GOLD_PER_GREAT_WORK',				'Amount',		2);
--------------------------------------------------------------

-- ModifierStrings
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierStrings
		(ModifierId,											Context,		Text)
VALUES	('CRITICAL_THEORY_MOD_JNR_INFLUENCE_PER_GREAT_WORK',	'Description',	'LOC_TRADITION_JNR_CRITICAL_THEORY_DESCRIPTION'),
		('AGITPROP_MOD_JNR_PRODUCTION_PER_GREAT_WORK',			'Description',	'LOC_TRADITION_JNR_AGITPROP_DESCRIPTION'),
		('PRIMORDIALISM_MOD_JNR_HAPPINESS_PER_GREAT_WORK',		'Description',	'LOC_TRADITION_JNR_PRIMORDIALISM_DESCRIPTION'),

--		('AVANT_GARDE_MOD_JNR_SCIENCE_PER_GREAT_WORK',			'Description',	'LOC_TRADITION_AVANT_GARDE_DESCRIPTION_JNR_IDEOLOGICAL_ARTIFACTS'),
		('AVANT_GARDE_MOD_JNR_GOLD_PER_GREAT_WORK',				'Description',	'LOC_TRADITION_AVANT_GARDE_DESCRIPTION_JNR_IDEOLOGICAL_ARTIFACTS');
--------------------------------------------------------------

-- TraditionModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO TraditionModifiers
		(TraditionType,						ModifierId)
VALUES	('TRADITION_JNR_CRITICAL_THEORY',	'CRITICAL_THEORY_MOD_JNR_INFLUENCE_PER_GREAT_WORK'),
		('TRADITION_JNR_AGITPROP',			'AGITPROP_MOD_JNR_PRODUCTION_PER_GREAT_WORK'),
		('TRADITION_JNR_PRIMORDIALISM',		'PRIMORDIALISM_MOD_JNR_HAPPINESS_PER_GREAT_WORK'),
		
		('TRADITION_AVANT_GARDE',			'AVANT_GARDE_MOD_JNR_SCIENCE_PER_GREAT_WORK'),
		('TRADITION_AVANT_GARDE',			'AVANT_GARDE_MOD_JNR_GOLD_PER_GREAT_WORK');
		
DELETE FROM TraditionModifiers WHERE TraditionType='TRADITION_AVANT_GARDE' AND ModifierId ='AVANT_GARDE_MOD_CULTURE_HAPPINESS_PER_GREAT_WORK';
--------------------------------------------------------------